"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _index = require("../src/index");

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

var _default = (0, _index.createRouteHandler)(router => {
  // specify the request method
  router.post( // path pattern
  '/connect/:integration/callback', // path parameter constraints
  {
    constraints: {
      integration: ['shop', 'gateway']
    }
  },
  /*#__PURE__*/
  // handler
  function () {
    var _ref = _asyncToGenerator(function* (_event, _context) {
      return {
        status: 200,
        body: 'Called back'
      };
    });

    return function (_x, _x2) {
      return _ref.apply(this, arguments);
    };
  }());
});

exports.default = _default;