"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withDefaultMiddleware = withDefaultMiddleware;

var _middy = _interopRequireDefault(require("middy"));

var _middlewares = require("middy/middlewares");

var _serverlessOffline = _interopRequireDefault(require("./serverless-offline"));

var _nestedQueryStringParameters = _interopRequireDefault(require("./nestedQueryStringParameters"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function withDefaultMiddleware(handler) {
  return (0, _middy.default)(handler).use((0, _serverlessOffline.default)()).use((0, _middlewares.doNotWaitForEmptyEventLoop)()).use((0, _middlewares.httpHeaderNormalizer)()).use((0, _middlewares.httpEventNormalizer)()).use((0, _nestedQueryStringParameters.default)()).use((0, _middlewares.jsonBodyParser)()).use((0, _middlewares.httpMultipartBodyParser)()).use((0, _middlewares.urlEncodeBodyParser)({
    extended: true
  }));
}