"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

var X_FORWARDED_PORT = 'X-Forwarded-Port';
var PATCHES = [{
  // patch domain and port
  match(_ref) {
    var {
      requestContext: {
        domainName
      }
    } = _ref;
    return domainName === 'offlineContext_domainName';
  },

  patch(_ref2) {
    var {
      headers,
      multiValueHeaders
    } = _ref2;
    var [domainName, port = '80'] = headers.Host.split(':');
    requestContext.domainName = domainName;
    headers[X_FORWARDED_PORT] = port;
    multiValueHeaders[X_FORWARDED_PORT] = [port];
  }

}]; // Patch serverless-offline

function _default() {
  return {
    before(_ref3, next) {
      var {
        event
      } = _ref3;
      PATCHES.filter((_ref4) => {
        var {
          match
        } = _ref4;
        return match(event);
      }).map(
      /*#__PURE__*/
      function () {
        var _ref5 = _asyncToGenerator(function* (_ref6) {
          var {
            patch
          } = _ref6;
          return patch(event);
        });

        return function (_x) {
          return _ref5.apply(this, arguments);
        };
      }());
      return next();
    }

  };
}