"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _qs = _interopRequireDefault(require("qs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _default() {
  return {
    before(_ref, next) {
      var {
        event
      } = _ref;
      var query = Object.entries(event.multiValueQueryStringParameters).reduce((unwrapped, _ref2) => {
        var [key, value] = _ref2;
        unwrapped[key] = Array.isArray(value) && value.length > 1 ? value : value[0];
        return unwrapped;
      }, {}); // stringify-then-parse only leaves multi-values as arrays

      event.nestedQueryStringParameters = _qs.default.parse(_qs.default.stringify(query));
      return next();
    }

  };
}